import { IMediaResolver, IMediaOptions } from "../models/IMediaResolver";
import { IMedia } from "../models/IMedia";
import { Container } from "../utils/container";
export declare class MediaResolver implements IMediaResolver {
    private _httpClient;
    private _subtitleResolver;
    constructor(container: Container);
    private _buildUrl(mediaId, streamFormat, streamQuality, currentPage, options?);
    getMedia(mediaId: string, streamFormat: string, streamQuality: string, currentPage: string, options?: IMediaOptions): Promise<IMedia>;
}
